Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Interface WorklistTaskAdmin.WorkloadData

All Superinterfaces:
  Serializable

Enclosing interface:
  WorklistTaskAdmin

    public static interface WorklistTaskAdmin.WorkloadData

extends Serializable

Describes the number of tasks the indicated user has claimed but not completed, and the workload score calculated for this user. Note that a workload score should be treated as the number of minutes of work this user has.

Field Summary
`static long` | `serialVersionUID`

Method Summary
`String` | `getUserId()` The user ID for which this workload data was calculated.
`long` | `getWorkloadScore()` The calculated workload score for the given user.
`int` | `getWorkloadTaskCount()` The number of tasks this user has claimed, and were considered in the workload score calculation.

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### getUserId

    String getUserId()

  The user ID for which this workload data was calculated.

### getWorkloadTaskCount

    int getWorkloadTaskCount()

  The number of tasks this user has claimed, and were considered in the workload score calculation. If WorkloadRequest.isUseTaskCountOnly() returns true, this number is the number of tasks this user has claimed. Otherwise, this number represents the number of unique tasks that were evaluated in the calculation. This number may be less than the max number of tasks set on WorkloadRequest.setMaxTasksToConsider() (if the user has claimed fewer tasks) but will not be greater.

### getWorkloadScore

    long getWorkloadScore()

  The calculated workload score for the given user. If the WorkloadRequest.setUseTaskCountOnly() option was set, this number will be the number of tasks claimed by this user. Otherwise, it will represent and estimate of the number of minutes of work this user has currently claimed and is responsible to complete.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD